'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('customer_po_item', 'tax_type', {
      type: Sequelize.ENUM('GST', 'IGST'),
      allowNull: true,
      defaultValue: null,
      comment: 'GST for same state (CGST+SGST), IGST for different state'
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('customer_po_item', 'tax_type');
  }
};
